Subject: Re: [Diffserv] A question on PHB-PDB relationship

From: Kathleen Nichols <[email-masked]>
Date: Fri, 02 Mar 2001 10:42:00 -0800

Roland Bless wrote:
> 
> [email-masked] said:
> 
> > Some of us believe that the set of PHBs already defined (default,
> > class selectors, AF, EF) is rich enough to keep us busy for many
> > years - i.e. they give us enough flexibility to define a rich set
> > of PDBs.
> 
> One can apply the same argument to EF PHB: it can also be realized by
> using CSC PHB 8 and definition of a PDB that expresses the necessary
> constraints. However, I suppose nobody doubts that we need to specify EF
> by RFC2598(bis). Therefore, I think that it is sensible to define PHBs
> that are more specific than the existing generic PHBs (which can
> possibly also be used to achieve the newly defined behavior if configured
> appropriately), but only if the more specific PHB describes the behavior
> of a single DS node. Otherwise, instead of defining an EF PHB, the
> description of a VW PDB that uses CSC PHB 8 in a specific configuration
> would be sufficient.
> 

Other than the fact that there isn't a CSC PHB 8 (a mistype I expect),
there's some sense in what you're saying. In fact, I'm somewhat of
the opinion that it makes more sense to put, as is stated in the PDB def
document, the additional restrictions required on a particular
"standard"
PHB in order to meet the specific requirements of that PDB rather than
to try to think of everything that needs to be put into a PHB definition
for some PDB that might use it in the future. That is, PHBs were/are
supposed to be generally useful things whose coupling with specific
configurations and traffic conditioning at the edge would/could lead
to a particular per-domain behavior (or "edge to edge service" if you
will). The original reason for an EF PHB was that it seemed that this
PHB was generally useful for a range of things. For VW it is of course
possible to configure a CSC to give the desired behavior and, in
practice,
that's been done experiments and limited uses. (If you consider the
CS PHBs to be the direct descendants of the old precedence stuff.)

	Kathie

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www2.ietf.org/mail-archive/working-groups/diffserv/current/maillist.html

---

From: Shahram Davari <[email-masked]>
Date: Fri, 2 Mar 2001 16:43:34 -0800

Actually,

> -----Original Message-----
> From: demir [mailto:[email-masked]]
> Sent: Friday, March 02, 2001 6:50 PM
> To: Shahram Davari
> Cc: [email-masked]
> Subject: RE: [Diffserv] A question on PHB-PDB relationship
> 
> 
> Actually,
> 
> > If:
> >      Delay < B/R + E_p   
> > Then:
> >      Jitter < B/R + E_p      
> > 
> > As explained in the draft, jitter is the difference between 
> minimum and maximum delay. Therefore when delay is bound by 
> D, jitter is also bound by D. Off course this is not the 
> tightest bound for jitter. If one wants to find a tighter 
> bound,  he could use separate "E" components advertised by a device: 
> > 
> > If:
> >      E_p = E_fixed + E_variable
> > Then:
> >      Jitter < B/R + E_variable
> > 
> > In the latter formula Jitter has a tighter bound than the 
> former formula.
> 

I forgot to remove the fixed value of B/R, doing so you could express the jitter as:

Jitter < E_variable

Which is a tighter bound and in fact can be zero theoretically.

> In the draft, jitter is defined as:
> "jitter is defined as the variation between maximum and 
> minimum delay."
> 
> I guess, what you mean by "variation" needs a further explanation. In
> literature, variation IS NOT a simple difference. 

Jitter has many definitions in the literature. Some assume it to be the difference between max and min delay, some assume it to be the Variance of the PDF of the delay, ...

I assume VW 
> PDB is based
> on EF PHB because it is expected that VW behavior depends on overall
> packet behavior where "jitter" is a well-known QoS parameters that can
> be used in network literature so far  we know; not only one packet's
> behavior. Of course, "jitter" gets bounded when "delay" gets 
> bounded cause
> ... However, obviously, EF PHB is not capable of pushing the 
> "limits" of
> "jitter" that is "no/zero jitter" from mathematical point of 
> view.

See above.

-Shahram

 I am
> very confused with above definitions.
> 
> Alper K. Demir
>

---

From: "Manfredi, Albert E" <[email-masked]>
Date: Sun, 4 Mar 2001 17:49:58 -0500

> From: Shahram Davari [mailto:[email-masked]]

> Jitter has many definitions in the literature. Some assume it 
> to be the difference between max and min delay, some assume 
> it to be the Variance of the PDF of the delay, ...

My impression was that maybe Demir was thinking "variance" rather than
"variation," the latter having no particularly specific technical meaning.

Bert